##################################
#offroadwarrior
#ball
#collision point and mass
##################################

#dependency
##################################
import math

#container
##################################
dt=0.0001
class ball:
        def __init__(self,x,y,mass=15.0):
                self.x = x
                self.y = y
                self.mass = mass
                self.vx = 0.0
                self.vy = 0.0
                self.fx = 0.0
                self.fy = 0.0

#container
##################################
def terminal_velocity(a):
        #limiter of velocity, no greater than 1000.0
        if a.vx < -200000.0:
                a.vx = -200000.0
        if a.vx > 200000.0:
                a.vx = 200000.0
                
        if a.vy < -200000.0:
                a.vy = -200000.0
                
        if a.vy > 200000:
                a.vy = 200000.0
                print("tvy+")
        
def terminal_force(a):
        #limiter of force, no greater than 200000.0
        if a.fx < -50000000.0:
                a.fx = -50000000.0
                
        if a.fx > 50000000.0:
                a.fx = 50000000.0
                
        if a.fy < -50000000.0:
                a.fy = -50000000.0
               
        if a.fy > 50000000.0:
                a.fy = 50000000.0
                print("tfy+")

def viscous_drag(a):
        #application of air resistance (smoothing)
        a.vx *= 0.999559
        a.vy *= 0.999559

def move(a):
        for i in range(1):#application of forces to mass, giving change in velocity:
             #application of velocity to time, giving change in position:
           
 
#       velocity_change = (forces / mass) * deltaTIME   
                a.vx += (a.fx  / a.mass) *dt         #dT = system scale (1 to 0.001)
                a.vy += (a.fy  / a.mass) *dt
       #       position_change = velocity * delaTIME.
                a.x += a.vx *dt                    #dT = system scale  (1 to 0.001)
                a.y += a.vy *dt
def gravity(a):
        #application of gravity forces
        a.fy += a.fy + (2000.0 * a.mass)    #gravity = 8000-100

def reset_force(a):
        #reset of cumulative force value for next frame
        a.fx = 0.0
        a.fy = 0.0

def wall(b,w,h):
        if b.x < 0:
                b.x = 1.0
                b.vx = -b.vx * 0.318 
                b.vy = b.vy * 0.318 
        if b.x > w:
                b.x = w-1.0
                b.vx = -b.vx * 0.318
                b.vy = b.vy * 0.318
        if b.y < 0:
                b.y = 1.0
                b.vy = -b.vy * 0.318
                b.vx = b.vx * 0.318
        if b.y > h:
                b.y = h-1.0
                b.vy = -b.vy * 0.318
                b.vx = b.vx * 0.318
